public class Token {
  public final int t;
  public final String c;

  public Token(int t, String c) {
    this.t = t;
    this.c = c;
  }
  public String toString() {
    if(t == TokenTypes.IDENT)
        return "IDENT<" + c + ">";
    else if(t == TokenTypes.INT_LIT)
        return "INT_LIT<" + c + ">";
    else if(t==TokenTypes.LPAREN)
      return "LPAREN";
    else if(t==TokenTypes.RPAREN)
      return "RPAREN";
    else if(t==TokenTypes.ADD_OP)
      return "ADD_OP";
    else if(t==TokenTypes.SUB_OP)
      return "SUB_OP";
    else if(t==TokenTypes.MULT_OP)
      return "MULT_OP";
    else if(t==TokenTypes.DIV_OP)
      return "DIV_OP";
    else if (t==TokenTypes.EOF)
      return "EOF";
    else
      return "ERROR";
  }

  int getTokenID() {
    return t;
  }

}
