object BST {

  abstract class BT
  case class Tree(left: BT, value: Int, right: BT) extends BT
  object Nil extends BT

  def minBST(t: BT): Int = ???

  def maxBST(t: BT): Int = ???

  def isBST(t: BT): Boolean = ???

  def memberBST(x: Int, t: BT): Boolean = ???

  def insertBST(x: Int, t: BT): BT = ???

  def heightBST(t: BT): Int = ???

  def deleteBST(x: Int, t: BT): BT = ???

  def sizeBST(t: BT): Int = ???

  def toString(t: BT): String = t match {
    case Nil => " "
    case Tree(left,value,right) => 
      toString(left)++value.toString++toString(right)
  }

  def toString2(t: BT): String = t match {
    case Nil => "nil"
    case Tree(left,value,right) => 
      "tree("++toString2(left)++","++value.toString++","++toString2(right)++")"
  }

  def printBST(s: BT) = {
    println(toString2(s))
  }

  def printBSTAsSet(s: BT) = {
    println("("+toString(s)+")")
  }

}
