import Huffman._
  
object Driver extends App {

  def pairs = List(('A',8),('C',1),('B',3),('D',1),('E',1),('F',1),('G',1),('H',1))

  val initialTrees = pairs.sortBy(_._2) map ( p => tree(nil,Set(p._1),p._2,nil) )

  def htree = constructHuffmanTree(initialTrees)

  println(huffmanEncoding("FACED",htree))

  println(huffmanDecoding(huffmanEncoding("FACED",htree),htree))

}
